Ext.define('TradePortal.view.products.ProductDescriptionView', {
	extend: 'Ext.view.View',
	loadMask: false,
	alias: 'widget.productdescriptionview',
	tpl: new Ext.XTemplate('<tpl for=".">',
		'<div class="thumb-wrap"><div class="prodDescription">{productLongDesc}</div>',
		'<div class="prodPrice">{customerPrice:this.renderPrice}</div></div></tpl>',
		{
			renderPrice: function (v) {
				if (Ext.getCmp('show_prices').getValue() && Ext.getStore('getPriceViewOptionsTP').last().data.GSTInc) {
					return Ext.util.Format.currency(v) + ' GST Inc';
				}
				else if (Ext.getCmp('show_prices').getValue() && !Ext.getStore('getPriceViewOptionsTP').last().data.GSTInc) {
					return Ext.util.Format.currency(v) + ' GST Exc';
				}
				else {
					return '';
				}
			}
		}),
	store: 'showProductDetails',
	itemSelector: 'div.thumb-wrap',
	emptyText: 'No image',
	initComponent: function () {
		this.callParent(arguments);
	}
});